de.vc.io.rtf.parser

## Class TableRowProperties

- java.lang.Object
- - de.vc.io.rtf.parser.TableRowProperties

- All Implemented Interfaces:
    java.lang.Cloneable

      public class TableRowProperties
      extends java.lang.Object
      implements java.lang.Cloneable

  Table row properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `alignment`
    `java.util.List` | `cellProps`
    `int` | `cellSpacingBottom`
    `int` | `cellSpacingLeft`
    `int` | `cellSpacingRight`
    `int` | `cellSpacingTop`
    `int` | `halfSpaceBetweenCells`
    `int` | `height`
    `boolean` | `isHeader`
    `boolean` | `keepTogether`
    `int` | `leftIndent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableRowProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableRowProperties` | `copy()`
    `TableCellProperties` | `getLastCellProperties()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### leftIndent

          public int leftIndent

    - #### halfSpaceBetweenCells

          public int halfSpaceBetweenCells

    - #### isHeader

          public boolean isHeader

    - #### keepTogether

          public boolean keepTogether

    - #### alignment

          public int alignment

    - #### height

          public int height

    - #### cellProps

          public java.util.List cellProps

    - #### cellSpacingTop

          public int cellSpacingTop

    - #### cellSpacingLeft

          public int cellSpacingLeft

    - #### cellSpacingRight

          public int cellSpacingRight

    - #### cellSpacingBottom

          public int cellSpacingBottom

  - ### Constructor Detail

    - #### TableRowProperties

          public TableRowProperties()

  - ### Method Detail

    - #### copy

          public TableRowProperties copy()

    - #### getLastCellProperties

          public TableCellProperties getLastCellProperties()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.